#include <lib/std.mi>

Function newSetVolume(int x, int y);

Global Group thisGroup;
Global Layer volumeLayer;
Global Int volFlag;
Global Map volmap;

newSetVolume(int x, int y) {
  int val = volmap.getValue(x, y);

  setvolume(val);
}

System.onScriptLoaded() {
  thisGroup = getScriptGroup();

  volmap = new map;
  volmap.loadmap("stick.vol.map");

  volumeLayer = thisGroup.getObject("Volume FULL");

  onVolumeChanged(getVolume());
}

volumeLayer.onLeftButtonDown(int x, int y) {
  volFlag = 1;
}

volumeLayer.onLeftButtonUp(int x, int y) {
  volFlag = 0;
}

volumeLayer.onMouseMove(int x, int y) {
  if(volFlag == 1) {
    newSetVolume(x - volumeLayer.getLeft(), y - volumeLayer.getTop());
  }
}

System.onVolumeChanged(int val) {
  volumeLayer.setRegionFromMap(volmap, val, 1);
}
